Skip to content

Model List

GET
/model_playground/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/model_playground/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful response with a list of AI models.

Media typeapplication/json
object
code

HTTP status code.

integer
data
Array<object>
object
id

Unique ID of the model.

integer
name

Name of the model.

string
display_name

Display name of the model.

string
category

Category of the model (e.g., txt2txt, txt2img).

string
description

Description of the model’s capabilities and use cases.

string
is_active

Indicates whether the model is active.

boolean
icon

URL or path to the model’s icon image.

string
total_runs_count

Total number of times the model has been run.

integer
is_internal

Indicates if the model is internal.

boolean
is_inventory_available

Indicates if the model is available in inventory.

boolean
errors

Errors encountered, if any.

object
message

A message indicating the status of the operation.

string

Example

{
"code": 200,
"data": [
{
"id": 26,
"name": "llama_3_2_11b_vision_instruct",
"display_name": "Llama 3.2 11B Vision Instruct",
"category": "multimodal",
"description": "Llama 3.2 Vision Instruct is designed for commercial and research use...",
"is_active": true,
"icon": "/framework/llama3_vision.jpg",
"total_runs_count": 2342,
"is_internal": false,
"is_inventory_available": true
}
],
"errors": {},
"message": "Success"
}